.\"                                      Hey, EMACS: -*- nroff -*-
.\" First parameter, NAME, should be all caps
.\" Second parameter, SECTION, should be 1-8, maybe w/ subsection
.\" other parameters are allowed: see man(7), man(1)
.TH xmobar 1 "July  2, 2014"
.\" Please adjust this date whenever revising the manpage.
.\"
.\" Some roff macros, for reference:
.\" .nh        disable hyphenation
.\" .hy        enable hyphenation
.\" .ad l      left justify
.\" .ad b      justify to both left and right margins
.\" .nf        disable filling
.\" .fi        enable filling
.\" .br        insert line break
.\" .sp <n>    insert n+1 empty lines
.\" for manpage-specific macros, see man(7)
.SH NAME
xmobar \- A configurable and extensible status bar for X11 desktops
.SH SYNOPSIS
.B xmobar
.RI [ OPTIONS ]\ [ CONFIG_FILE ]
.SH DESCRIPTION
.PP
xmobar is a minimalistic, text based, status bar.
It was originally designed and implemented by Andrea Rossato to
work with \fBxmonad\fP, but it's actually usable with any window-manager.
.PP
xmobar was inspired by the \fBIon3\fP (http://tuomov.iki.fi/software/)
status bar, and supports similar features, like dynamic color
management, output templates, and extensibility through plugins.
.PP
This page documents xmobar 0.16.

.SH COMMAND LINE OPTIONS
.PP
xmobar can be either configured with a configuration file or with
command line options. In the second case, the command line options will
overwrite the corresponding options set in the configuration file.

The configuration file is searched for in the following locations, in order:

.RS
.I $XDG_CONFIG_HOME/xmobar/xmobarrc
(default: ~/.config/xmobar/xmobarrc)
.br
.I ~/.xmobarrc
.RE

The first configuration file found will be used. See
/usr/share/doc/xmobar/examples for sample configuration files.

.PP
Usage:
.PP
\f[CR]
      xmobar \-B white \-a right \-F blue \-t \[aq]%LIPB%\[aq]\ \-c \[aq][Run Weather "LIPB" [] 36000]\[aq]
\f[]
.PP
This is the list of command line options (the output of xmobar
\[em]help):
.PP
\f[CR]
      Usage:\ xmobar\ [OPTION...]\ [FILE]
      Options:
        \-h, \-?        \-\-help                 This help
        \-V            \-\-version               Show version information
        \-f font name  \-\-font=font name        The font name
        \-B bg color   \-\-bgcolor=bg color      The background color. Default black
        \-F fg color   \-\-fgcolor=fg color      The foreground color. Default grey
        \-o            \-\-top                   Place xmobar at the top of the screen
        \-b            \-\-bottom                Place xmobar at the bottom of the screen
        \-a alignsep   \-\-alignsep=alignsep     Separators for left, center and right text
                                              alignment. Default: \[aq]}{\[aq]
        \-s char       \-\-sepchar=char          The character used to separate commands in
                                              the output template. Default \[aq]%\[aq]
        \-t template   \-\-template=template     The output template
        \-c commands   \-\-commands=commands     The list of commands to be executed
        \-C commands   \-\-add-commands=commands Add commands to be executed after those
                                              of the config file
        \-x screen     \-\-screen=screen         On which X screen number to start
      Mail bug reports and suggestions to <xmobar\@projects.haskell.org>
\f[]

.SH CONFIGURATION
For full details of the available configuration options, please refer to /usr/share/doc/xmobar/readme.md.gz.

.SH AUTHOR
.PP
Andrea Rossato originally designed and implemented xmobar up to
version 0.11.1.
Since then, it is maintained by
Jose Antonio Ortega Ruiz (http://hacks-galore.org/jao/).

This manual page was written by Apollon Oikonomopoulos <apoikos@debian.org> for the Debian project (but may be used by others).

.SH LICENSE
.PP
This software is released under a BSD-style license.
See /usr/share/doc/xmobar/copyright for more details.
.PP
Copyright © 2007\[en]2010 Andrea Rossato
.br
Copyright © 2010\[en]2014 Jose Antonio Ortega Ruiz

